Subject: Re: [0/7] Distributed storage release.

From: Evgeniy Polyakov <[email-masked]>
Date: Sun, 28 Dec 2008 16:37:11 +0300

On Fri, Dec 26, 2008 at 08:17:02PM +0100, Pavel Machek ([email-masked]) wrote:
> > Its main goal of the project is to allow creation of the block devices
> > on top of different network media and connect physically distributed devices
> > into single storage using existing network infrastructure and not
> > introducing new limitations into the protocol and network usage model.
> 
> So it is basically nbd on steroids?

Kind of... In this regard any network device which transfers IO and
related requests over the network is a nbd on steroids.

> ...reminds me, nbd-server should really fsync data before returning success...

There are lots of issues NBD could have at first... When I compared DST
with AoE and NFS, Debian Lenny/Etch's nbd server crashed on startup, so
I was not able to run my tests against it.

-- 
	Evgeniy Polyakov